GET /autocomplete
Operation ID: getAutocomplete
Auth: unknown
Description
Never returns more than 16 results. Results with the text toward the beginning are favored. The results can be clarified via `/nodes` or `/images`, using the `filter_name` query parameter.
Parameters (3)
(string, header, optional)
The media type for the response, including API version. Must allow `application/vnd.phylopic.v2+json`. If omitted, `*/*` (a wildcard allowing all types) is assumed, and the response's `Content-Type` header will be `application/vnd.phylopic.v2+json`.
(integer, query, optional)
Specifies the index of the build for the returned data. Only the current build is valid. Leaving this parameter out will yield a temporary redirect (`307`) to the same URL but with the current `build` value added to the query.
(string, query, required)
The text to look up. Must be at least two characters. If not normalized (lower case, single spaces only, only alphabetic characters and hyphens [`"-"`]\), a `308` response will indicate the URL with the normalized query text.
Examples (2)
| Title | Type | URL | Action |
|---|---|---|---|
| Gets suggestions for full names based on partial text. | openapi-spec |
https://api.phylopic.org/autocomplete?query=human |
|
| Autocomplete taxonomic names | openapi-spec |
https://api.phylopic.org/autocomplete?query=cat |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:42:01.890147 | 200 | 176ms | |
| 2026-03-23 10:17:06.327200 | 200 | 125ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:42:01.890147 | d032c68ed9af |
f033f6562780 |